3 Replies Latest reply: Aug 17, 2012 8:11 PM by dbanoob4ever RSS

    Why does installer prompts for missing libXp.so.6 when it is ready installe


      I'm trying to install 10gr2 on centos 6.3 x86_64 bit system.

      when I running the runinstaller, I encountered the following problem:

      bash-4.1$ ./runInstaller
      Starting Oracle Universal Installer...

      Checking installer requirements...

      Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2

      All installer requirements met.

      Preparing to launch Oracle Universal Installer from /tmp/OraInstall2012-08-18_07-13-53AM. Please wait ...bash-4.1$ Exception in thread "main" java.lang.UnsatisfiedLinkError: /tmp/OraInstall2012-08-18_07-13-53AM/jre/1.4.2/lib/i386/libawt.so: libXp.so.6: cannot open shared object file: No such file or directory
           at java.lang.ClassLoader$NativeLibrary.load(Native Method)
           at java.lang.ClassLoader.loadLibrary0(Unknown Source)
           at java.lang.ClassLoader.loadLibrary(Unknown Source)
           at java.lang.Runtime.loadLibrary0(Unknown Source)
           at java.lang.System.loadLibrary(Unknown Source)
           at sun.security.action.LoadLibraryAction.run(Unknown Source)
           at java.security.AccessController.doPrivileged(Native Method)
           at sun.awt.NativeLibLoader.loadLibraries(Unknown Source)
           at sun.awt.DebugHelper.<clinit>(Unknown Source)
           at java.awt.Component.<clinit>(Unknown Source)

      understand that this has been discussed in libXp.so.6: cannot open shared object file: No such file or directory

      I've followed http://www.askrenzo.com/oracle/grid/libXp_missing.html on how to verify whether libXp is installed or not

      [root@localhost lib64]# uname -a
      Linux localhost.localdomain 2.6.32-279.5.1.el6.x86_64 #1 SMP Tue Aug 14 23:54:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

      [root@localhost lib64]# cd /usr/lib64
      [root@localhost lib64]# ls -l libXp*
      lrwxrwxrwx. 1 root root 16 Jul 6 20:48 libXpm.so.4 -> libXpm.so.4.11.0
      -rwxr-xr-x. 1 root root 72928 Aug 17 2010 libXpm.so.4.11.0
      lrwxrwxrwx. 1 root root 14 Aug 18 06:59 libXp.so.6 -> libXp.so.6.2.0
      -rwxr-xr-x. 1 root root 36248 Aug 19 2010 libXp.so.6.2.0

      and it is installed, yet the installer is complaining that it cannot find libXp.

      would really appreicate if someone could tell me what's wrong?